﻿using System;
using System.Collections.ObjectModel;
using Microsoft.Phone.Controls;
using Telerik.Windows.Controls;

namespace SampleProject
{
    public partial class MainPage : PhoneApplicationPage
    {
        public MainPage()
        {
            this.InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void RadDataBoundListBox_ItemCheckedStateChanged(object sender, ItemCheckedStateChangedEventArgs e)
        {
            if (this.dblb.CheckedItems.Count == 0)
            {
                this.dblb.IsCheckModeActive = false;
            }
        }

        private void RadDataBoundListBox_IsCheckModeActiveChanged(object sender, IsCheckModeActiveChangedEventArgs e)
        {
            var listbox = sender as RadDataBoundListBox;
            if (e.CheckBoxesVisible && e.TappedItem != null && !listbox.CheckedItems.Contains(e.TappedItem))
            {
                listbox.CheckedItems.Add(e.TappedItem);
            }
        }
    }

    public class Item
    {
        public double Value { get; set; }

        public string Text { get; set; }
    }

    public class ViewModel
    {
        private static Random rand = new Random();

        public ViewModel()
        {
            this.Items = this.GetData();
        }

        public ObservableCollection<Item> Items { get; set; }

        private ObservableCollection<Item> GetData()
        {
            var data = new ObservableCollection<Item>();
            for (int i = 0; i < 10; i++)
            {
                data.Add(new Item { Value = rand.Next(10, 15), Text = string.Format("item {0}", i) });
            }

            return data;
        }
    }
}